WhatsApp Meta agent
Run Meta agent evaluation
Start an evaluation over some scenarios. It runs in the background: read the run to follow it.
POST
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
eval
/
runs
Run Meta agent evaluation
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/eval/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eval_case_ids": [
"<string>"
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/eval/runs"
payload = { "eval_case_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eval_case_ids: ['<string>']})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/eval/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "QUEUED",
"job_id": "<string>",
"progress": {
"completed": 123,
"total": 123,
"current_stage": "<string>"
},
"result": {
"id": "<string>",
"summary_id": "<string>",
"avg_conversation_score": 123,
"avg_turn_score": 123,
"summary": "<string>",
"highlights": "<string>",
"top_failure_categories": "<string>",
"eval_ids_by_score": "<string>",
"creation_time": "<string>",
"update_time": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"failed_case_ids": [
"<string>"
]
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
Body
application/jsonmultipart/form-data
Required array length:
1 - 200 elementsMaximum string length:
128Was this page helpful?
⌘I
Run Meta agent evaluation
